--[[ExamplePage.lua]]

--import the `PageNavigation.lua` script into this script as `pageNav`. lib is the folder path
local pageNav=require("lib.PageNavigation")
--create a new page
local PageExample=action_wheel:newPage()
--add your actions to this page
PageExample:newAction():title("This does something!"):onLeftClick(function() print("See?") end)
function pings.partToggle(state)
  --[[Example for a model part toggle. Remove brackets 
    models.player_model.path.to.part:setVisible(state)
  ]]
end
PageExample:newAction():title("This toggles a modelpart!"):onToggle(pings.partToggle)
--since the intention of this page is to be a subpage for another page, add an action that calls the `navigateBack` function.
PageExample:newAction():title("Go Back"):item("minecraft:arrow"):onLeftClick(pageNav.navigateBack)

--at this point, we have the page but to way to access it. This is why we shall return an action that will take us to this page for another script to import.
return action_wheel:newAction()
  :title("Example Page")
  :onLeftClick(function()
    pageNav.navigatePage(doThingPage)
  end)